Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.idgen.impl
Class DefaultChecksumCalculator

    java.lang.Object
      com.sun.mdm.index.idgen.impl.DefaultChecksumCalculator

All Implemented Interfaces:
  ChecksumCalculator

public class DefaultChecksumCalculator
extends java.lang.Object
implements ChecksumCalculator

Default checksum calculator

Constructor Summary
`DefaultChecksumCalculator()` Default constructor for DefaultChecksumCalculator

Method Summary
`java.lang.String` | `calcChecksum(java.lang.String baseData)` Calculate the checksum for the supplied data.
`void` | `setParameter(java.lang.String parameterName, java.lang.Object value)` Parameters of the checksum calculator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultChecksumCalculator

    public DefaultChecksumCalculator()
                              throws SEQException

  Default constructor for DefaultChecksumCalculator

  Throws:
    `SEQException` - An exception occurred

Method Detail

### calcChecksum

    public java.lang.String calcChecksum(java.lang.String baseData)
                                  throws SEQException

  Calculate the checksum for the supplied data.

  Specified by:
    `calcChecksum` in interface `ChecksumCalculator`
  Parameters:
    `baseData` - data for which the checksum is to be calculated
  Returns:
    calculated checksum
  Throws:
    `SEQException` - An error occurred

### setParameter

    public void setParameter(java.lang.String parameterName,
                             java.lang.Object value)
                      throws SEQException

  Parameters of the checksum calculator

  Specified by:
    `setParameter` in interface `ChecksumCalculator`
  Parameters:
    `parameterName` - parameter
    `value` - parameter value
  Throws:
    `SEQException` - An error occurred

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.